Get model inputs
curl --request GET \
--url https://app.variable.global/api/v1/model/{uuid}/input \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.variable.global/api/v1/model/{uuid}/input"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.variable.global/api/v1/model/{uuid}/input', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"count": 1500,
"page": 1,
"pageSize": 100,
"data": [
{
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "Name",
"syncId": "sync123",
"quantity": 150,
"unit": "kg",
"order": 1,
"material": {
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "Material name"
},
"block": {
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "Block name"
},
"lifecycleStage": {
"code": "A1",
"name": "Materials"
},
"materialGroup": [
"packaging"
],
"transport": {
"lane": {
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"syncId": "sync123",
"name": "Newark, NJ to Rotterdam, NL"
},
"for": {
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"syncId": "sync123",
"name": "Newark, NJ to Rotterdam, NL"
},
"weight": {
"quantity": 250,
"unit": "kg"
},
"tkm": 1510.6
},
"created": "2021-01-01T00:00:00.000Z",
"updated": "2021-01-31T23:59:59.000Z",
"CO2e": "1234.5678",
"declaredAmount": {
"quantity": 0.002,
"unit": "kg"
},
"recycledPercent": 30
}
]
}{
"message": "token expired"
}Model
List Inputs
Get a list of model inputs
GET
/
v1
/
model
/
{uuid}
/
input
Get model inputs
Requires permission:
Read more about the Model & Input data models.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
⌘I